package co.dc.aptiv.pojo;

import java.io.Serializable;

import co.dc.commons.annotation.Transient;

/**
 * @describe: 物料
 * @author: liuxinglong
 * @version: 2018/4/17 15:21
 */
public class UserPojo implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String tableName = "dc_user";

    private long id;
    /**
     * 登录名称
     */
    private String loginname;
    /**
     * 密码
     */
    private String password;
    /**
     * 真实姓名
     */
    private String realname;
    /**
     * 角色id
     */
    private long roleid;
    /**
     * 权限内容
     */
    @Transient
    private String powers;
    /**
     * 角色名称
     */
    @Transient
    private String rolename;
    /**
     * 删除标志
     */
    private String delflag;
    /**
     * 登录状态 --0退出/未登录  1登陆中 --可判断强制退出等操作
     */
    private String loginstatus;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getLoginname() {
        return loginname;
    }

    public void setLoginname(String loginname) {
        this.loginname = loginname;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public long getRoleid() {
        return roleid;
    }

    public void setRoleid(long roleid) {
        this.roleid = roleid;
    }

    public String getDelflag() {
        return delflag;
    }

    public void setDelflag(String delflag) {
        this.delflag = delflag;
    }

    public String getLoginstatus() {
        return loginstatus;
    }

    public String getPowers() {
        return powers;
    }

    public UserPojo setPowers(String powers) {
        this.powers = powers;
        return this;
    }

    public void setLoginstatus(String loginstatus) {
        this.loginstatus = loginstatus;
    }

    public String getRolename() {
        return rolename;
    }

    public UserPojo setRolename(String rolename) {
        this.rolename = rolename;
        return this;
    }


}
